European DSi firmware update.

Discussion in 'Acekard' started by Drueth, Apr 3, 2009.

  1. Drueth
    OP

    Drueth Newbie

    Newcomer
    6
    0
    Apr 3, 2009
    I figure a lot of people are going to be asking this question shortly if they haven't already, so I thought I might as well be the one to start a thread.

    Basically looking for anyone who has info on whether the firmware update for the european DSi blocks flash carts or not.

    Confirmed - European DSi updated to 1.3E firmware works with the AK2i.

    For clarity, my setup is:
    European DSi
    Firmware 1.3E
    Acekard 2i
    AKAIO 1.4.1

    By all accounts current firmware 1.3J/1.3A released in Japan/Australia respectively does not block the AK2i, so it's reasonable to expect the same for the euro version, though naturally people will be wanting confirmation of this. [​IMG]

    I also appreciate that it's entirely possible that nobody has an answer for this yet as the release for the DSi (in the UK anyway) is not till tomorrow (actually, today now) - I'll be going down at 9am to collect mine. [​IMG]


    (PS. been lurking here for a while but never had cause to post before, so, hi [​IMG] )
     
  2. vertabray

    vertabray GBAtemp Regular

    Member
    178
    45
    Oct 13, 2007
    Brisbane, Australia
    I would say no. 1.2j -> 1.3j didnt, 1.2A -> 1.3A didnt so I dont see why Euro would be any different.

    And welcome to the site!!
     
  3. Nathan-NL

    Nathan-NL GBAtemp Fan

    Member
    399
    0
    Jan 15, 2008
    Netherlands
    The Netherlands
  4. G2K

    G2K GBAtemp Regular

    Member
    258
    0
    Mar 23, 2009
    Canada
    Cambridge, Onatrio
    PLEASE PLEASE PLEASE Can I ask you to do this!? Before you update, could you download the DSi Browser and use that to see if it asks for a firmware update when you try to use it?
     
  5. Drueth
    OP

    Drueth Newbie

    Newcomer
    6
    0
    Apr 3, 2009
    Good to know! And the AK2i still works fine?
     
  6. Drueth
    OP

    Drueth Newbie

    Newcomer
    6
    0
    Apr 3, 2009
    Confirmed, European DSi updated to 1.3E firmware works with the AK2i. [​IMG]

    Sorry G2K, as I suspected you need to update before you can download the browser.
     
  7. winkerwatson66

    winkerwatson66 Newbie

    Newcomer
    7
    0
    Jul 6, 2007
    Also confirmed UPDATE card still works fine, now downloaded the free internet browser. Also recieve 1000 points to spend.


    [​IMG]
     
  8. RupeeClock

    RupeeClock Colors 3D Snivy!

    Member
    6,377
    853
    May 15, 2008
    And RupeeClock bought a DSi, and an Acekard 2i.
     
  9. phpgeek

    phpgeek GBAtemp Regular

    Member
    112
    0
    Feb 15, 2009
    Just another boring post to confirm compatability.

    European DSi + 1.3E Firmware + AK2i (English) = flawless [​IMG]

    I'm off to play, bye...
     
  10. Melvinkooi

    Melvinkooi GBAtemp Regular

    Member
    214
    0
    Mar 15, 2009
    Netherlands
    AK2I Works @ 1.3E.
    Go get your browser! [​IMG]